%global reltag .20100224
%global fullversion %{version}%{?reltag}

Name:          jetty-servlet-3.0-api
Version:       3.0
Release:       %mkrel 5
Summary:       Jetty Servlet 3.0 API
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.eclipse.org/jetty/
# svn export http://svn.codehaus.org/jetty/servlet-api/tags/servlet-api-3.0.20100224/ jetty-servlet-3.0-api-3.0.20100224
# tar czf jetty-servlet-3.0-api-3.0.20100224-src-svn.tar.gz jetty-servlet-3.0-api-3.0.20100224
Source0:       jetty-servlet-3.0-api-3.0.20100224-src-svn.tar.gz
Source1:       http://repo1.maven.org/maven2/org/mortbay/jetty/jetty-parent/9/jetty-parent-9.pom
Source2:       http://repo1.maven.org/maven2/org/eclipse/jetty/jetty-parent/16/jetty-parent-16.pom 

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jetty-parent

BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-release-plugin
BuildRequires: maven-shared-osgi

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Jetty Servlet 3.0 API.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{fullversion}

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository

mkdir -p $MAVEN_REPO_LOCAL/org/mortbay/jetty/jetty-parent/9
cp %{SOURCE1} $MAVEN_REPO_LOCAL/org/mortbay/jetty/jetty-parent/9/
#mkdir -p $MAVEN_REPO_LOCAL/org/eclipse/jetty/jetty-parent/12
#cp %{SOURCE2} $MAVEN_REPO_LOCAL/org/eclipse/jetty/jetty-parent/12/

mvn-rpmbuild \
  -e \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 target/servlet-api-%{fullversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-mortbay-jetty-parent.pom 
%add_maven_depmap JPP-mortbay-jetty-parent.pom
#install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-eclipse-jetty-parent.pom 
#add_maven_depmap JPP-eclipse-jetty-parent.pom

install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Oct 18 2013 luigiwalser <luigiwalser> 3.0-5.mga4
+ Revision: 506667
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0-3.mga3
+ Revision: 355353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 gil <gil> 3.0-2.mga2
+ Revision: 193725
- build fix added new BR jetty-parent

* Mon Oct 31 2011 gil <gil> 3.0-1.mga2
+ Revision: 160297
- imported package jetty-servlet-3.0-api

